﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace CandidateControls
{
    public class CandidateViz : Control
    {
        public CandidateViz()
        {
            DefaultStyleKey = typeof(CandidateViz);
        }

        #region CandidateName (Dependency Property)

        public static readonly DependencyProperty CandidateNameProperty =
            DependencyProperty.Register("CandidateName", typeof(string), typeof(CandidateViz), null);

        public string CandidateName
        {
            get { return (string)GetValue(CandidateNameProperty); }
            set { SetValue(CandidateNameProperty, value); }
        }

        #endregion

        #region articleCount (Dependency Property)

        public static readonly DependencyProperty ArticleCountProperty =
            DependencyProperty.Register("ArticleCount", typeof(int), typeof(CandidateViz), null);

        public int ArticleCount
        {
            get { return (int)GetValue(ArticleCountProperty); }
            set { SetValue(ArticleCountProperty, value); }
        }

        #endregion

    }
}
